tomcat running as root user under port 80

May 29, 2015 11:24 AM - Roberto Cirillo

Status: Closed Start date: May 30, 2015

Priority: Normal Due date:  

Assignee: Andrea Dell'Amico % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: improve tomcat security   

Infrastructure: Development, Production   

Description

The following list contains all tomcat instances in production, running as root user under port 80:

node57.p.d4science.research-infrastructures.eu    - UsageTracker service

geonetwork.d4science.org                                      - Geonetwork

geonetwork.geothermaldata.d4science.org            - Geonetwork

wps.statistical.d4science.org                                  - WPS server

If possible, the new tomcat instances should be running under an unprivileged user.

Subtasks:

Task # 205: Automate the installation and configuration of the geonetwork servers Closed

Task # 206: Automate the installation of wps.statistical.d4science.org Closed

Related issues:

Related to D4Science Infrastructure - Task #536: Thredds: tomcat runs as root Closed Sep 23, 2015

Related to D4Science Infrastructure - Task #4771: Run smartgears on the rstud... Closed Jul 21, 2016

History

#1 - May 30, 2015 08:27 PM - Andrea Dell'Amico

The tomcat on node57.p.d4science.research-infrastructures.eu is running as 'transact' user and it's listening on port 8080. But I see a problem with

the distribution: it's a Ubuntu 11.04, so it is unmantained.

#2 - Jun 04, 2015 05:21 PM - Andrea Dell'Amico

- Due date set to May 30, 2015

due to changes in a related task

#3 - Jun 04, 2015 05:31 PM - Andrea Dell'Amico

Roberto Cirillo wrote:

The following list contains all tomcat instances in production, running as root user under port 80:

node57.p.d4science.research-infrastructures.eu    - UsageTracker service

geonetwork.d4science.org                                      - Geonetwork

geonetwork.geothermaldata.d4science.org            - Geonetwork

wps.statistical.d4science.org                                  - WPS server

If possible, the new tomcat instances should be running under an unprivileged user.

 Other tomcat instances running as root:

thredds.research-infrastructures.eu

rstudio.p.d4science.research-infrastructures.eu

#4 - Sep 04, 2015 12:42 PM - Andrea Dell'Amico

- Related to Task #536: Thredds: tomcat runs as root added

#5 - Sep 04, 2015 12:45 PM - Andrea Dell'Amico
- Target version changed from System Configuration  to improve tomcat security

#7 - Jul 21, 2016 01:38 PM - Andrea Dell'Amico

- Related to Task #4771: Run smartgears on the rstudio-server instances as unprivileged user added

#8 - Jul 22, 2016 02:19 PM - Andrea Dell'Amico

- Status changed from New to In Progress

- Infrastructure Development added

tomcat instances still running as root:

wps.statistical.d4science.org

the geonetworks (there's a dev installation running unprivileged)

#9 - Mar 22, 2017 07:35 PM - Andrea Dell'Amico

- Status changed from In Progress to Closed

Those ones will die, eventually
